<RESOURCE_PROFILE>
    <HEADER>
        <RESOURCE_IDENTIFIER value="5b46098a-a0ab-41bf-8fbc-76fba97003ce_VHJhbnNmb3JtYXRpb25SdWxlRFNSZXNvdXJjZXMvVHJhbnNmb3JtYXRpb25SdWxlRFNSZXNvdXJjZVR5cGU="/>
        <RESOURCE_TYPE value="TransformationRuleDSResourceType"/>
        <RESOURCE_KIND value="TransformationRuleDSResources"/>
        <RESOURCE_URI value=""/>
        <DATE_OF_CREATION value="2018-04-15T12:14:22+01:00"/>
    </HEADER>
    <BODY>
        <CONFIGURATION>
            <IMPORTED/>
            <SCRIPT>
                <TITLE>LRE mapping 447 2019-01-08 (removed /lremap from xpaths)</TITLE>
              <CODE>
                  <![CDATA[
                  <x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.3.xsd">
    <info>
        <title>LRE -&gt; PE Mapping File Official</title>
        <general_description/>
        <source>
            <source_info>
                <source_schema type="" version=""/>
                <namespaces>
                    <namespace prefix="" uri=""/>
                </namespaces>
            </source_info>
            <source_collection/>
        </source>
        <target>
            <target_info>
                <target_schema schema_file="cidoc_crm_v6.0-draft-2015January.rdfs" type="rdfs" version="6.0">CIDOC-CRM</target_schema>
                <namespaces>
                    <namespace prefix="crm" uri="http://www.cidoc-crm.org/cidoc-crm/"/>
                </namespaces>
            </target_info>
            <target_info>
                <target_schema schema_file="CRMdig_v3.2.rdfs" type="rdfs" version="3.2">CRMdig</target_schema>
                <namespaces>
                    <namespace prefix="crmdig" uri="http://www.ics.forth.gr/isl/CRMext/CRMdig.rdfs/"/>
                </namespaces>
            </target_info>
            <target_info>
                <target_schema schema_file="CRMgeo_v1.2.rdfs" type="rdfs" version="1.2">CRMgeo</target_schema>
                <namespaces>
                    <namespace prefix="crmgeo" uri="http://www.ics.forth.gr/isl/CRMext/CRMgeo.rdfs/"/>
                </namespaces>
            </target_info>
            <target_info>
                <target_schema schema_file="CRMsci_v1.2.2.rdfs" type="rdfs" version="1.2.2">CRMsci</target_schema>
                <namespaces>
                    <namespace prefix="crmsci" uri="http://www.ics.forth.gr/isl/CRMext/CRMsci.rdfs/"/>
                </namespaces>
            </target_info>
            <target_info>
                <target_schema schema_file="FRBR2.0-draft-B.rdfs" type="rdfs" version="2.1">FRBR</target_schema>
                <namespaces>
                    <namespace prefix="frbr" uri="http://iflastandards.info/ns/fr/frbr/frbroo/"/>
                </namespaces>
            </target_info>
            <target_info>
                <target_schema schema_file="CRMext4SKOSandLabel_v1.2.rdfs" type="rdfs" version="1.2">CRMext4SKOSandLabel</target_schema>
                <namespaces>
                    <namespace prefix="skos" uri="http://www.w3.org/2004/02/skos/core#"/>
                </namespaces>
            </target_info>
            <target_info>
                <target_schema schema_file="CRMpc_v1.0.rdfs" type="rdfs" version="1.0">CRMpc</target_schema>
                <namespaces>
                    <namespace prefix="crm" uri="http://www.cidoc-crm.org/cidoc-crm/"/>
                </namespaces>
            </target_info>
            <target_info>
                <target_schema schema_file="crmpe_2.rdfs" type="rdfs" version="2.0">CRMpe</target_schema>
                <namespaces>
                    <namespace prefix="crmpe" uri="http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/"/>
                </namespaces>
            </target_info>
            <target_collection/>
        </target>
        <mapping_info>
            <mapping_created_by_org/>
            <mapping_created_by_person/>
            <in_collaboration_with/>
        </mapping_info>
        <example_data_info>
            <example_data_from/>
            <example_data_contact_person/>
            <example_data_source_record xml_link="nu-sample___12-04-2018113220___5745.xml"/>
            <generator_policy_info generator_link="ARIADNEPLUS-GeneratorPolicy_v1.3___03-10-2017173214___13642.xml"/>
            <example_data_target_record rdf_link="Mapping447.ttl"/>
            <thesaurus_info/>
        </example_data_info>
    </info>
    <namespaces>
        <namespace prefix="ariadneplus" uri="http://ariadneplus.d4science.org/handle/LRE/LRECatalog/"/>
        <namespace prefix="reg" uri="http://ariadneplus.d4science.org/handle/AriadnePlus/REG/"/>
    </namespaces>
    <mappings>
        <mapping>
            <domain>
                <source_node>/resource</source_node>
                <target_node>
                    <entity>
                        <type>crmpe:PE20_Volatile_Digital_Object</type>
                        <instance_generator name="DatasetURI">
                            <arg name="term" type="xpath">resourceID/text()</arg>
                        </instance_generator>
                        <label_generator name="SimpleLabel">
                            <arg name="label" type="xpath">name/text()</arg>
                        </label_generator>
                        <additional>
                            <relationship>crmpe:PP41i_is_indexed_by</relationship>
                            <entity>
                                <type>crmpe:PE24_Volatile_Dataset</type>
                                <instance_info>
                                    <constant>LRE Map Dataset</constant>
                                </instance_info>
                                <instance_generator name="URIorUUID">
                                    <arg name="text" type="constant">http://ariadneplus.d4science.org/handle/AriadnePlus/REG/Dataset/LRE%20Map%20Dataset</arg>
                                </instance_generator>
                                <label_generator name="SimpleLabel">
                                    <arg name="label" type="constant">LRE Map Dataset</arg>
                                </label_generator>
                            </entity>
                        </additional>
                    </entity>
                </target_node>
            </domain>
            <link>
                <path>
                    <source_relation>
                        <relation>name</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P1_is_identified_by</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>name</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E41_Appellation</type>
                            <instance_generator name="DatasetAppellationURI">
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>license</relation>
                    </source_relation>
                    <target_relation>
                        <if>
                            <not>
                                <if>
                                    <equals value="NULL">text()</equals>
                                </if>
                            </not>
                        </if>
                        <relationship>crm:P104_is_subject_to</relationship>
                        <entity>
                            <type>crm:E30_Right</type>
                            <instance_generator name="UUID"/>
                            <label_generator name="CompositeLabel">
                                <arg name="label" type="constant">Right for </arg>
                                <arg name="text" type="xpath">../name/text()</arg>
                            </label_generator>
                        </entity>
                        <relationship>crm:P2_has_type</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>license</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E55_Type</type>
                            <instance_generator name="ConceptURI_2step">
                                <arg name="term" type="constant">righttype</arg>
                                <arg name="term1" type="xpath">text()
</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>type</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P2_has_type</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>type</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E55_Type</type>
                            <instance_generator name="ConceptURI_2step">
                                <arg name="term" type="constant">digitalresourcetype</arg>
                                <arg name="term1" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>use</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P101_had_as_general_use</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>use</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E55_Type</type>
                            <instance_generator name="OneLevelCustomURI">
                                <arg name="level1" type="constant">eventtype</arg>
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>modality</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P94i_was_created_by</relationship>
                        <entity>
                            <type>crm:E65_Creation</type>
                            <instance_generator name="UUID"/>
                            <label_generator name="CompositeLabel">
                                <arg name="label" type="constant">Creation Event for </arg>
                                <arg name="text" type="xpath">../name/text()</arg>
                            </label_generator>
                        </entity>
                        <relationship>crm:P32_used_general_technique</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>modality</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E55_Type</type>
                            <instance_generator name="ConceptURI_2step">
                                <arg name="term" type="constant">modality</arg>
                                <arg name="term1" type="xpath">../name/text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>availability</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crmpe:PP6i_is_digital_object_hosted_by</relationship>
                        <entity>
                            <type>crmpe:PE5_Digital_Hosting_Service</type>
                            <instance_generator name="UUID"/>
                            <label_generator name="CompositeLabel">
                                <arg name="label" type="constant">Hosting Service for </arg>
                                <arg name="text" type="xpath">../name/text()</arg>
                            </label_generator>
                        </entity>
                        <relationship>crm:P2_has_type</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>availability</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E55_Type</type>
                            <instance_generator name="ConceptURI_2step">
                                <arg name="term" type="constant">availabilitytype</arg>
                                <arg name="term1" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>status</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P2_has_type</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>status</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E55_Type</type>
                            <instance_generator name="ConceptURI_2step">
                                <arg name="term" type="constant">status</arg>
                                <arg name="term1" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>paper</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P16i_was_used_for</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>paper</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E7_Activity</type>
                            <instance_generator name="UUID"/>
                            <label_generator name="CompositeLabel">
                                <arg name="label" type="constant">Conference Presentation in </arg>
                                <arg name="text" type="xpath">conference/conferenceName/text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>resourceID</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P1_is_identified_by</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>resourceID</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E42_Identifier</type>
                            <instance_generator name="DatasetAppellationURI">
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
        </mapping>
        <mapping>
            <domain>
                <source_node>/resource/paper</source_node>
                <target_node>
                    <entity>
                        <type>crm:E7_Activity</type>
                        <instance_generator name="UUID"/>
                        <additional>
                            <relationship>crm:P2_has_type</relationship>
                            <entity>
                                <type>crm:E55_Type</type>
                                <instance_info>
                                    <constant>conference presentation</constant>
                                </instance_info>
                                <instance_generator name="ConceptURI_2step">
                                    <arg name="term" type="constant">eventtype</arg>
                                    <arg name="term1" type="constant">conferencepresentation</arg>
                                </instance_generator>
                                <label_generator name="SimpleLabel">
                                    <arg name="label" type="constant">Conference Presentation</arg>
                                </label_generator>
                            </entity>
                        </additional>
                    </entity>
                </target_node>
            </domain>
            <link>
                <path>
                    <source_relation>
                        <relation>conference</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P9i_forms_part_of</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>conference</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E7_Activity</type>
                            <instance_generator name="UUID"/>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">conferenceName/text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>author</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P17i_motivated</relationship>
                        <entity variable="pubme">
                            <type>crm:E65_Creation</type>
                            <instance_generator name="UUID"/>
                            <label_generator name="CompositeLabel">
                                <arg name="label" type="constant">Creation Event of </arg>
                                <arg name="text" type="xpath">../conference/conferenceName/text()</arg>
                            </label_generator>
                        </entity>
                        <relationship>crm:P14_carried_out_by</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>author</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E39_Actor</type>
                            <instance_generator name="ActorURI">
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>title</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P17i_motivated</relationship>
                        <entity variable="pubme">
                            <type>crm:E65_Creation</type>
                            <instance_generator name="UUID"/>
                            <label_generator name="CompositeLabel">
                                <arg name="label" type="constant">Creation Event of </arg>
                                <arg name="text" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                        <relationship>crm:P94_has_created</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>title</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E31_Document</type>
                            <instance_generator name="ThingAppellationURI">
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
        </mapping>
        <mapping>
            <domain>
                <source_node>/resource/paper/conference</source_node>
                <target_node>
                    <entity>
                        <type>crm:E7_Activity</type>
                        <instance_generator name="UUID"/>
                        <additional>
                            <relationship>crm:P2_has_type</relationship>
                            <entity>
                                <type>crm:E55_Type</type>
                                <instance_info>
                                    <constant>conference</constant>
                                </instance_info>
                                <instance_generator name="ConceptURI_2step">
                                    <arg name="term" type="constant">eventtype</arg>
                                    <arg name="term1" type="constant">conference</arg>
                                </instance_generator>
                                <label_generator name="SimpleLabel">
                                    <arg name="label" type="constant">Conference</arg>
                                </label_generator>
                            </entity>
                        </additional>
                    </entity>
                </target_node>
            </domain>
            <link>
                <path>
                    <source_relation>
                        <relation>conferenceName</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P1_is_identified_by</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>conferenceName</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E41_Appellation</type>
                            <instance_generator name="EventAppellationURI">
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>conferenceYear</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P4_has_time-span</relationship>
                        <entity>
                            <type>crm:E52_Time-Span</type>
                            <instance_generator name="UUID"/>
                            <label_generator name="CompositeLabel">
                                <arg name="label" type="constant">Time Span of </arg>
                                <arg name="text" type="xpath">../conferenceName/text()</arg>
                            </label_generator>
                        </entity>
                        <relationship>crm:P82_at_some_time_within</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>conferenceYear</source_node>
                    <target_node>
                        <entity>
                            <type>http://www.w3.org/2000/01/rdf-schema#Literal</type>
                            <instance_generator name="Literal">
                                <arg name="text" type="xpath">text()</arg>
                            </instance_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>conferencePlace</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P7_took_place_at</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>conferencePlace</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E53_Place</type>
                            <instance_generator name="PlaceURI">
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
        </mapping>
    </mappings>
    
</x3ml>
                  ]]>
              </CODE>
            </SCRIPT>
        </CONFIGURATION>
        <STATUS/>
        <SECURITY_PARAMETERS/>
    </BODY>
</RESOURCE_PROFILE>
